package com.supervision;

import com.supervision.service.MatchToolService;
import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;

@Slf4j
@SpringBootApplication
@MapperScan(basePackages = {"com.supervision.**.mapper"})
public class InterroRobotApplication {

    public static void main(String[] args) {
        ConfigurableApplicationContext applicationContext = SpringApplication.run(InterroRobotApplication.class, args);

        log.info("=============刷新向量匹配库=================");
        applicationContext.getBean(MatchToolService.class).refreshMatchToolLibrary();
        log.info("=============刷新向量匹配库完成=================");
    }

}
