package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 机器人配置
 * @TableName ir_robot_config
 */
@TableName(value ="ir_robot_config", schema = "interro_robot")
@Data
public class IrRobotConfig implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 所属机构名称
     */
    private String deptName;

    /**
     * 设备编码
     */
    private String deviceCode;

    /**
     * 设备状态(1启用 2禁用)
     */
    private Integer state;

    /**
     * 语速配置
     */
    private BigDecimal talkSpeed;

    /**
     * 机器人图表
     */
    private String iconBase64;

    /**
     * 主动话术
     */
    private String activeLanguage;

    /**
     * 异常话术
     */
    private String errorLanguage;

    /**
     * 未识别话术1
     */
    private String unrecognizedOne;

    /**
     * 未识别话术2
     */
    private String unrecognizedTwo;

    /**
     * 未识别话术3
     */
    private String unrecognizedThree;

    /**
     * 未识别话术5
     */
    private String unrecognizedFour;

    /**
     * 
     */
    private String createUserId;

    /**
     * 
     */
    private LocalDateTime createTime;

    /**
     * 
     */
    private String updateUserId;

    /**
     * 
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}